Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Class DCSubjectImpl

    java.lang.Object
      com.sun.syndication.feed.module.DCSubjectImpl

All Implemented Interfaces:
  CopyFrom, DCSubject, Serializable, Cloneable

    public class DCSubjectImpl

extends Object
implements Cloneable, Serializable, DCSubject

Subject of the Dublin Core ModuleImpl, default implementation.

Author:
  Alejandro Abdelnur
See Also:
  Dublin Core module., Serialized Form

Constructor Summary
`DCSubjectImpl()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`void` | `copyFrom(CopyFrom obj)` Copies all the properties of the given bean into this one.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`Class` | `getInterface()` Returns the interface the copyFrom works on.
`String` | `getTaxonomyUri()` Returns the DublinCore subject taxonomy URI.
`String` | `getValue()` Returns the DublinCore subject value.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setTaxonomyUri(String taxonomyUri)` Sets the DublinCore subject taxonomy URI.
`void` | `setValue(String value)` Sets the DublinCore subject value.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DCSubjectImpl

    public DCSubjectImpl()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `DCSubject`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getTaxonomyUri

    public String getTaxonomyUri()

  Returns the DublinCore subject taxonomy URI.

  Specified by:
    `getTaxonomyUri` in interface `DCSubject`
  Returns:
    the DublinCore subject taxonomy URI, null if none.

### setTaxonomyUri

    public void setTaxonomyUri(String taxonomyUri)

  Sets the DublinCore subject taxonomy URI.

  Specified by:
    `setTaxonomyUri` in interface `DCSubject`
  Parameters:
    `taxonomyUri` - the DublinCore subject taxonomy URI to set, null if none.

### getValue

    public String getValue()

  Returns the DublinCore subject value.

  Specified by:
    `getValue` in interface `DCSubject`
  Returns:
    the DublinCore subject value, null if none.

### setValue

    public void setValue(String value)

  Sets the DublinCore subject value.

  Specified by:
    `setValue` in interface `DCSubject`
  Parameters:
    `value` - the DublinCore subject value to set, null if none.

### getInterface

    public Class getInterface()

  Description copied from interface: `CopyFrom`
  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Specified by:
    `getInterface` in interface `CopyFrom`
  Returns:
    the interface the copyFrom works on.

### copyFrom

    public void copyFrom(CopyFrom obj)

  Description copied from interface: `CopyFrom`
  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Specified by:
    `copyFrom` in interface `CopyFrom`
  Parameters:
    `obj` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.